[Libreoffice-commits] .: 2 commits - autogen.sh

Tor Lillqvist tml at kemper.freedesktop.org
Sun May 29 09:41:45 PDT 2011


 autogen.sh |   26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

New commits:
commit b3697e6213dad77f63f9f8f561f62f33269d0fea
Author: Tor Lillqvist <tlillqvist at novell.com>
Date:   Sun May 29 19:41:15 2011 +0300

    Add Emacs and vim mode setting

diff --git a/autogen.sh b/autogen.sh
index 9e1de8f..30432c4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -113,3 +113,10 @@ if (defined $ENV{NOCONFIGURE}) {
     print "running ./configure with '" . join ("' '", @args), "'\n";
     system ("./configure", @args);
 }
+
+# Local Variables:
+# tab-width: 4
+# indent-tabs-mode: nil
+# End:
+
+# vim:set shiftwidth=4 softtabstop=4 expandtab: #
commit 3a630f98c2b7eab499ad9623f3483893fa8c519a
Author: Tor Lillqvist <tlillqvist at novell.com>
Date:   Sun May 29 19:39:18 2011 +0300

    Don't overwrite autogen.lastrun with identical (perhaps re-ordered) contents

diff --git a/autogen.sh b/autogen.sh
index 20af3c4..9e1de8f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -98,14 +98,17 @@ die "failed to generate configure" if (! -x "configure");
 if (defined $ENV{NOCONFIGURE}) {
     print "Skipping configure process.";
 } else {
-    if ($#cmdline_args > 0) {
-#	print "writing args to autogen.lastrun\n";
-	my $fh;
-	open ($fh, ">autogen.lastrun") || die "can't open autogen.lastrun: $!";
-	for my $arg (@cmdline_args) {
-	    print $fh "$arg\n";
-	}
-	close ($fh);
+    # Save autogen.lastrun only if we did get some arguments on the command-line
+    if (@ARGV) {
+        if ($#cmdline_args > 0) {
+            # print "writing args to autogen.lastrun\n";
+            my $fh;
+            open ($fh, ">autogen.lastrun") || die "can't open autogen.lastrun: $!";
+            for my $arg (@cmdline_args) {
+                print $fh "$arg\n";
+            }
+            close ($fh);
+        }
     }
     print "running ./configure with '" . join ("' '", @args), "'\n";
     system ("./configure", @args);


More information about the Libreoffice-commits mailing list